Bug 979718 - mod_nss documentation should mention TLS 1.1
mod_nss documentation should mention TLS 1.1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mod_nss (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Harmsen
Fedora Extras Quality Assurance
:
Depends On: 979798
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 16:17 EDT by David Jaša
Modified: 2015-05-29 09:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 979719 (view as bug list)
Environment:
Last Closed: 2015-05-29 09:07:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2013-06-29 16:17:48 EDT
Description of problem:
nss supports TLS 1.1 since 3.14 version and mod_nss picks it up correctly if admin specifies "NSSProtocol TLSv1.1" directive in nss.conf.

Neither documenation, nor comments in nss.conf do mention this fact though so admins may end up with false conclusion that TLS > 1.0 are not supported...

Version-Release number of selected component (if applicable):
mod_nss-1.0.8-20.1.fc19.armv7hl
nss-3.14.3-13.0.fc19.armv7hl

How reproducible:
always

Steps to Reproduce:
1. look at /usr/share/doc/mod_nss-1.0.8/mod_nss.html and /etc/httpd/conf.d/nss.conf for TLSv1.1
2.
3.

Actual results:
TLS 1.1 support is not advertised at all

Expected results:
* TLS 1.1 should be mentioned at both places
* TLSv1.1 should be default value for NSSProtocol directive (this may need further discussion because of client compatibility issue potential)

Additional info:
documentation could be probably generated so it picks up current values supported by nss
Comment 1 Fedora End Of Life 2013-09-16 10:18:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Matthew Harmsen 2013-10-23 17:24:22 EDT
This bug has been addressed by the patch called 'mod_nss-tlsv1_1.patch'.
Comment 3 Fedora Update System 2013-10-24 17:13:57 EDT
mod_nss-1.0.8-24.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mod_nss-1.0.8-24.fc18
Comment 4 Fedora Update System 2013-10-24 17:25:21 EDT
mod_nss-1.0.8-24.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mod_nss-1.0.8-24.fc19
Comment 5 Fedora Update System 2013-10-24 17:39:30 EDT
mod_nss-1.0.8-24.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mod_nss-1.0.8-24.fc20
Comment 6 Fedora Update System 2013-11-06 02:35:18 EST
mod_nss-1.0.8-24.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-11-06 02:37:34 EST
mod_nss-1.0.8-24.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-11-10 02:18:11 EST
mod_nss-1.0.8-24.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora End Of Life 2015-05-29 05:08:40 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.